Mono.Data.Sqlite 4.0.0.0 System.Object System.IDisposable This abstract class is designed to handle user-defined functions easily. An instance of the derived class is made for each connection to the database. Although there is one instance of a class derived from SqliteFunction per database connection, the derived class has no access to the underlying connection. This is necessary to deter implementers from thinking it would be a good idea to make database calls during processing. It is important to distinguish between a per-connection instance, and a per-SQL statement context. One instance of this class services all SQL statements being stepped through on that connection, and there can be many. One should never store per-statement information in member variables of user-defined function classes. For aggregate functions, always create and store your per-statement data in the contextData object on the 1st step. This data will be automatically freed for you (and Dispose() called if the item supports IDisposable) when the statement completes.
- Constructor
  4.0.0.0
  Internal constructor, initializes the function's internal variables.
  To be added.
- Method
  4.0.0.0
  System.Int32 `` `` The first string to compare The second strnig to compare User-defined collation sequences override this method to provide a custom string sorting algorithm. 1 if param1 is greater than param2, 0 if they are equal, or -1 if param1 is less than param2 To be added.
- Method
  4.0.0.0
  System.Void Disposes of any active contextData variables that were not automatically cleaned up. Sometimes this can happen if someone closes the connection while a DataReader is open. To be added.
- Method
  4.0.0.0
  System.Void `` True if the object is being disposed explicitly Placeholder for a user-defined disposal routine To be added.
- Method
  4.0.0.0
  System.Object `` Your own assigned contextData, provided for you so you can return your final results. Aggregate functions override this method to finish their aggregate processing. You may return most simple types as a return value, null or DBNull.Value to return null, DateTime, or you may return an Exception-derived class if you wish to return an error to SQLite. Do not actually throw the error, just return it! If you implemented your aggregate function properly, you've been recording and keeping track of your data in the contextData object provided, and now at this stage you should have all the information you need in there to figure out what to return. NOTE: It is possible to arrive here without receiving a previous call to Step(), in which case the contextData will be null. This can happen when no rows were returned. You can either return null, or 0 or some other custom return value if that is the case.
- Method
  4.0.0.0
  System.Object `` The arguments for the command to process Scalar functions override this method to do their magic. You may return most simple types as a return value, null or DBNull.Value to return null, DateTime, or you may return an Exception-derived class if you wish to return an error to SQLite. Do not actually throw the error, just return it! Parameters passed to functions have only an affinity for a certain data type, there is no underlying schema available to force them into a certain type. Therefore the only types you will ever see as parameters are DBNull.Value, Int64, Double, String or byte[] array.
- Method
  4.0.0.0
  System.Void `` The type of the function to register Manual method of registering a function. The type must still have the SqliteFunctionAttributes in order to work properly, but this is a workaround for the Compact Framework where enumerating assemblies is not currently supported. To be added.
- Property
  4.0.0.0
  Mono.Data.Sqlite.SqliteConvert Returns a reference to the underlying connection's SqliteConvert class, which can be used to convert strings and DateTime's into the current connection's encoding schema. To be added. To be added.
- Method
  4.0.0.0
  System.Void `` `` `` The arguments for the command to process The 1-based step number. This is incrememted each time the step method is called. A placeholder for implementers to store contextual data pertaining to the current context. Aggregate functions override this method to do their magic. Typically you'll be updating whatever you've placed in the contextData field and returning as quickly as possible.